=== modified file 'Makefile'
--- Makefile	2012-05-24 18:10:10 +0000
+++ Makefile	2012-06-01 18:39:03 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.5.4
+version=1.5.5
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))

=== modified file 'NEWS'
--- NEWS	2012-05-20 13:52:09 +0000
+++ NEWS	2012-06-01 18:39:03 +0000
@@ -1,6 +1,10 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
+Version 1.5.5 (2012-06-01)
+* Server
+** Server takes new --socket option
+
 Version 1.5.4 (2012-05-20)
 * Server
 ** Bug fix: Regression fix: Make non-zero approval timeout values work.

=== modified file 'common.ent'
--- common.ent	2012-05-20 13:52:09 +0000
+++ common.ent	2012-06-01 18:39:03 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.5.4">
+<!ENTITY version "1.5.5">

=== modified file 'debian/changelog'
--- debian/changelog	2012-05-20 13:52:09 +0000
+++ debian/changelog	2012-06-01 18:39:03 +0000
@@ -1,3 +1,12 @@
+mandos (1.5.5-1) unstable; urgency=low
+
+  * New upstream release.
+  * debian/copyright (Format): Updated to
+    "http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/".
+  * debian/control (Build-Depends): Removed "man, locales-all".
+
+ -- Teddy Hogeborn <teddy@recompile.se>  Fri, 01 Jun 2012 20:30:41 +0200
+
 mandos (1.5.4-1) unstable; urgency=low
 
   * New upstream release.

=== modified file 'mandos'
--- mandos	2012-05-26 22:21:17 +0000
+++ mandos	2012-06-01 18:39:03 +0000
@@ -88,7 +88,7 @@
     except ImportError:
         SO_BINDTODEVICE = None
 
-version = "1.5.4"
+version = "1.5.5"
 stored_state_file = "clients.pickle"
 
 logger = logging.getLogger()
@@ -2242,7 +2242,7 @@
     if server_settings["socket"]:
         server_settings["socket"] = server_config.getint("DEFAULT",
                                                          "socket")
-        # Later, stdin will, and stdout, and stderr might, be dup'ed
+        # Later, stdin will, and stdout and stderr might, be dup'ed
         # over with an opened os.devnull.  But we don't want this to
         # happen with a supplied network socket.
         if 0 <= server_settings["socket"] <= 2:
@@ -2362,6 +2362,8 @@
         # Close all input and output, do double fork, etc.
         daemon()
     
+    # multiprocessing will use threads, so before we use gobject we
+    # need to inform gobject that threads will be used.
     gobject.threads_init()
     
     global main_loop

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2012-05-12 19:29:05 +0000
+++ mandos-clients.conf.xml	2012-05-26 22:48:45 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2012-05-12">
+<!ENTITY TIMESTAMP "2012-05-27">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -167,12 +167,12 @@
 	    This option is <emphasis>optional</emphasis>.
 	  </para>
 	  <para>
-	    This option allows you to override the default shell
-	    command that the server will use to check if the client is
-	    still up.  Any output of the command will be ignored, only
-	    the exit code is checked:  If the exit code of the command
-	    is zero, the client is considered up.  The command will be
-	    run using <quote><command><filename>/bin/sh</filename>
+	    This option overrides the default shell command that the
+	    server will use to check if the client is still up.  Any
+	    output of the command will be ignored, only the exit code
+	    is checked:  If the exit code of the command is zero, the
+	    client is considered up.  The command will be run using
+	    <quote><command><filename>/bin/sh</filename>
 	    <option>-c</option></command></quote>, so
 	    <varname>PATH</varname> will be searched.  The default
 	    value for the checker command is <quote><literal
@@ -512,6 +512,8 @@
       <citerefentry><refentrytitle>mandos.conf</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>,
       <citerefentry><refentrytitle>mandos</refentrytitle>
+      <manvolnum>8</manvolnum></citerefentry>,
+      <citerefentry><refentrytitle>fping</refentrytitle>
       <manvolnum>8</manvolnum></citerefentry>
     </para>
   </refsect1>

=== modified file 'mandos-ctl'
--- mandos-ctl	2012-05-20 13:52:09 +0000
+++ mandos-ctl	2012-06-01 18:39:03 +0000
@@ -63,7 +63,7 @@
 server_path = "/"
 server_interface = domain + ".Mandos"
 client_interface = domain + ".Mandos.Client"
-version = "1.5.4"
+version = "1.5.5"
 
 def timedelta_to_milliseconds(td):
     """Convert a datetime.timedelta object to milliseconds"""

=== modified file 'mandos-keygen'
--- mandos-keygen	2012-05-20 13:52:09 +0000
+++ mandos-keygen	2012-06-01 18:39:03 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@recompile.se>.
 # 
 
-VERSION="1.5.4"
+VERSION="1.5.5"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos-monitor'
--- mandos-monitor	2012-05-20 13:52:09 +0000
+++ mandos-monitor	2012-06-01 18:39:03 +0000
@@ -55,7 +55,7 @@
 domain = 'se.recompile'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.5.4"
+version = "1.5.5"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False

=== modified file 'mandos.lsm'
--- mandos.lsm	2012-05-20 13:52:09 +0000
+++ mandos.lsm	2012-06-01 18:39:03 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.5.4
-Entered-date:	2012-05-20
+Version:	1.5.5
+Entered-date:	2012-06-01
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@recompile.se (Teddy Hogeborn),
 		belorn@recompile.se (Björn Påhlsson)
 Primary-site: http://www.recompile.se/mandos
-	      148K mandos_1.5.4.orig.tar.gz
+	      148K mandos_1.5.5.orig.tar.gz
 Alternate-site: ftp://ftp.recompile.se/pub/mandos
-		148K mandos_1.5.4.orig.tar.gz
+		148K mandos_1.5.5.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.6, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2011-12-31 23:05:34 +0000
+++ plugins.d/mandos-client.xml	2012-05-27 07:30:49 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2012-01-01">
+<!ENTITY TIMESTAMP "2012-05-27">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -661,7 +661,7 @@
     <informalexample>
       <para>
 	Normal invocation needs no options, if the network interface
-	is <quote>eth0</quote>:
+	can be automatically determined:
       </para>
       <para>
 	<userinput>&COMMANDNAME;</userinput>

